package main

import (
	"sevenkeys/cli"
	"sevenkeys/database"
	"sevenkeys/figlet"
)

func main() {
	db := database.GetDatabaseFromConfig("config.json")
	figlet.ReadFigletFonts()

	cli.ShowSplashScreen()

	cli.RunUpdateCheck(db)

	cli.MainCliLoop(db)
}
